[arch-commits] Commit in boost/repos (4 files)

Ionut Biru ibiru at archlinux.org
Thu Dec 17 23:03:33 UTC 2009


    Date: Thursday, December 17, 2009 @ 18:03:33
  Author: ibiru
Revision: 61524

Merged revisions 61228,61523 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/boost/trunk

........
  r61228 | ibiru | 2009-12-13 19:39:39 +0200 (Sun, 13 Dec 2009) | 2 lines
  
  upgpkg: boost 1.41.0-1.1
      fix crc regression that is on x86_64 for gzip
........
  r61523 | ibiru | 2009-12-18 01:00:49 +0200 (Fri, 18 Dec 2009) | 2 lines
  
  upgpkg: boost 1.41.0-2
      FS#17499 fix serialization regression
........

Added:
  boost/repos/extra-i686/fix-gzip-crc.patch
    (from rev 61523, boost/trunk/fix-gzip-crc.patch)
  boost/repos/extra-i686/serialization_fix.patch
    (from rev 61523, boost/trunk/serialization_fix.patch)
Modified:
  boost/repos/extra-i686/	(properties)
  boost/repos/extra-i686/PKGBUILD

-------------------------+
 PKGBUILD                |   12 +++++++++---
 fix-gzip-crc.patch      |   24 ++++++++++++++++++++++++
 serialization_fix.patch |   12 ++++++++++++
 3 files changed, 45 insertions(+), 3 deletions(-)


Property changes on: boost/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /boost/trunk:1-60625
   + /boost/trunk:1-61523

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-12-17 23:00:49 UTC (rev 61523)
+++ extra-i686/PKGBUILD	2009-12-17 23:03:33 UTC (rev 61524)
@@ -7,20 +7,23 @@
 pkgname=boost
 pkgver=1.41.0
 _boostver=1_41_0
-pkgrel=1
+pkgrel=2
 pkgdesc="Free peer-reviewed portable C++ source libraries"
 arch=('i686' 'x86_64')
 url="http://www.boost.org/"
 depends=('bzip2' 'zlib')
 makedepends=('python>=2.6')
 optdepends=('python: for python bindings')
-source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}_${_boostver}.tar.gz)
+source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}_${_boostver}.tar.gz
+	fix-gzip-crc.patch
+	serialization_fix.patch)
 license=('custom')
 options=(!ccache)
-md5sums=('ddb04c9b9164a36a91dcf36819666dd9')
 
 build() {
   cd "${srcdir}/${pkgname}_${_boostver}"
+  patch -Np1 -i $srcdir/fix-gzip-crc.patch || return 1
+  patch -Np1 -i $srcdir/serialization_fix.patch || return 1
 
   # build bjam
   cd ${srcdir}/${pkgname}_${_boostver}/tools/jam/src
@@ -65,3 +68,6 @@
   install -m644 ${srcdir}/${pkgname}_${_boostver}/LICENSE_1_0.txt \
                 ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }
+md5sums=('ddb04c9b9164a36a91dcf36819666dd9'
+         '682f124a765b2935c7352f38c08848cc'
+         '01337211d40a4a4c9b83c481baade701')

Copied: boost/repos/extra-i686/fix-gzip-crc.patch (from rev 61523, boost/trunk/fix-gzip-crc.patch)
===================================================================
--- extra-i686/fix-gzip-crc.patch	                        (rev 0)
+++ extra-i686/fix-gzip-crc.patch	2009-12-17 23:03:33 UTC (rev 61524)
@@ -0,0 +1,24 @@
+diff -Nur boost_1_41_0.orig/boost/iostreams/filter/zlib.hpp boost_1_41_0/boost/iostreams/filter/zlib.hpp
+--- boost_1_41_0.orig/boost/iostreams/filter/zlib.hpp	2009-10-14 18:20:36.000000000 +0300
++++ boost_1_41_0/boost/iostreams/filter/zlib.hpp	2009-12-13 16:47:53.078056507 +0200
+@@ -20,6 +20,7 @@
+ #include <memory>            // allocator, bad_alloc.
+ #include <new>          
+ #include <boost/config.hpp>  // MSVC, STATIC_CONSTANT, DEDUCED_TYPENAME, DINKUM.
++#include <boost/cstdint.hpp> // uint*_t
+ #include <boost/detail/workaround.hpp>
+ #include <boost/iostreams/constants.hpp>   // buffer size.
+ #include <boost/iostreams/detail/config/auto_link.hpp>
+@@ -43,9 +44,9 @@
+ namespace zlib {
+                     // Typedefs
+ 
+-typedef unsigned int uint;
+-typedef unsigned char byte;
+-typedef unsigned long ulong;
++typedef uint32_t uint;
++typedef uint8_t byte;
++typedef uint32_t ulong;
+ 
+ // Prefix 'x' prevents symbols from being redefined when Z_PREFIX is defined
+ typedef void* (*xalloc_func)(void*, zlib::uint, zlib::uint);

Copied: boost/repos/extra-i686/serialization_fix.patch (from rev 61523, boost/trunk/serialization_fix.patch)
===================================================================
--- extra-i686/serialization_fix.patch	                        (rev 0)
+++ extra-i686/serialization_fix.patch	2009-12-17 23:03:33 UTC (rev 61524)
@@ -0,0 +1,12 @@
+diff -Nur boost_1_41_0.old/boost/archive/shared_ptr_helper.hpp boost_1_41_0/boost/archive/shared_ptr_helper.hpp
+--- boost_1_41_0.old/boost/archive/shared_ptr_helper.hpp	2009-09-20 05:18:42.000000000 +0300
++++ boost_1_41_0/boost/archive/shared_ptr_helper.hpp	2009-12-17 22:20:48.666281335 +0200
+@@ -108,7 +108,7 @@
+     struct non_polymorphic {
+         static const boost::serialization::extended_type_info * 
+         get_object_identifier(T & t){
+-            return boost::serialization::singleton<
++            return & boost::serialization::singleton<
+                 BOOST_DEDUCED_TYPENAME 
+                 boost::serialization::type_info_implementation<T>::type
+             >::get_const_instance();




More information about the arch-commits mailing list